summaryrefslogtreecommitdiff
path: root/etc/init.d
diff options
context:
space:
mode:
authorJohn Klug <john.klug@multitech.com>2019-12-02 13:56:46 -0600
committerJohn Klug <john.klug@multitech.com>2019-12-02 13:56:46 -0600
commit222c163ed5ca6e1933262a6563c903154b6168e1 (patch)
tree2f563d00e547205a3d17a1c3f6a9b7e1d69ed454 /etc/init.d
parentb13a75f0c8dc438d585d4e174f82dcadff77e71f (diff)
downloadcommissioning-222c163ed5ca6e1933262a6563c903154b6168e1.tar.gz
commissioning-222c163ed5ca6e1933262a6563c903154b6168e1.tar.bz2
commissioning-222c163ed5ca6e1933262a6563c903154b6168e1.zip
Move commisioning so it is independent of default lighttpd, php-fpm
Diffstat (limited to 'etc/init.d')
-rwxr-xr-xetc/init.d/commissioning55
-rwxr-xr-xetc/init.d/php-fpm-commission (renamed from etc/init.d/php-fpm)9
2 files changed, 60 insertions, 4 deletions
diff --git a/etc/init.d/commissioning b/etc/init.d/commissioning
new file mode 100755
index 0000000..11b0eb3
--- /dev/null
+++ b/etc/init.d/commissioning
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/lighttpd
+DAEMONNAME="lighttpd"
+NAME=commissioning
+DESC="Lighttpd Web Server"
+OPTS="-f /etc/lighttpd-commission.conf"
+PIDFILE=/var/run/lighttpd-commission.pid
+
+ENABLED=yes
+[ -f /etc/default/$NAME ] && . /etc/default/$NAME
+# /etc/default/no-${NAME} should point at /etc/default/.no-${NAME}
+# and contain ENABLED="no".
+# This will prevent commissioning on a factory reset
+# but not on an image update for tighter security.
+[ -f "/etc/default/no-${NAME}" ] && . "/etc/config/no-${NAME}"
+
+
+case "$1" in
+ start)
+ if [ "$ENABLED" != "yes" ]; then
+ echo "$NAME: disabled in /etc/default"
+ exit
+ fi
+ echo -n "Starting $DESC: "
+ start-stop-daemon --start -x "$DAEMON" -- $OPTS
+ echo "$NAME."
+ ;;
+ stop)
+ echo -n "Stopping $DESC: "
+ start-stop-daemon --stop -p ${PIDFILE} -x "$DAEMON"
+ echo "$NAME."
+ ;;
+ reload)
+ echo -n "Reloading $DESC: "
+ set -x
+ pkill -HUP -F ${PIDFILE} "$DAEMONNAME"
+ echo "$NAME."
+ ;;
+ restart|force-reload)
+ echo -n "Restarting $DESC: "
+ start-stop-daemon --stop -p ${PIDFILE} -x "$DAEMON"
+ sleep 1
+ start-stop-daemon --start -x "$DAEMON" -- $OPTS
+ echo "$NAME."
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ echo "Usage: $N {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/etc/init.d/php-fpm b/etc/init.d/php-fpm-commission
index 6da1428..37cff70 100755
--- a/etc/init.d/php-fpm
+++ b/etc/init.d/php-fpm-commission
@@ -10,16 +10,17 @@
# Description: starts the PHP FastCGI Process Manager daemon
### END INIT INFO
-NAME="php-fpm"
+NAME="php-fpm-commission"
prefix=/usr
exec_prefix=/usr
php_fpm_BIN=/usr/sbin/php-fpm
-php_fpm_CONF=/etc/php-fpm.conf
-php_fpm_PID=/var/run/php-fpm.pid
+php_fpm_CONF="/etc/${NAME}.conf"
+php_fpm_PID="/var/run/${NAME}.pid"
php_opts="-R --fpm-config $php_fpm_CONF --pid $php_fpm_PID"
+ENABLED="yes"
wait_for_pid () {
@@ -53,7 +54,7 @@ wait_for_pid () {
case "$1" in
start)
- [[ -f /etc/default/$NAME ]] && . /etc/default/"$NAME"
+ [[ -f /etc/default/commissioning ]] && . /etc/default/commissioning
if [[ $ENABLED != "yes" ]]; then
echo "$NAME: disabled in /etc/default"
exit